Bug 18513 - Проблема при использовании svn+ssh вместе с опцией ControlMaster в openssh
: Проблема при использовании svn+ssh вместе с опцией ControlMaster в openssh
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/subversion)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2009-01-15 00:30 by
Modified: 2009-01-17 14:31 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2009-01-15 00:30:58
Наблюдается следующая проблема при использовании метода svn+ssh вместе с опцией
ControlMaster в openssh. Суть в том, что при включенном ControlMaster в auto,
первый коннект к серверу проходит нормально, но при его завершении процесс ssh
убивается преждевременно ra_svn, оставляя лежащим файл ControlMaster'а. После
этого любой следующий коннект к этому хосту с репозиторием (будь то через
svn+ssh или через просто ssh) будет приводить к появлению ошибки:

ssh: Control socket connect(/home/user/.ssh/master-user@host): Connection
refused
ssh: ControlSocket /home/user/.ssh/master-user@host already exists
svn: Connection closed unexpectedly

Проблема эта достаточно давно известна, есть общеупотребительный workaround,
встроенный в некоторых дистрибутивах из коробки - заключается во внесении
строчек

[tunnels]
ssh = $SVN_SSH ssh -o ControlMaster=no 

в глобальный /etc/subversion/config

Более подробно можно посмотреть:
http://svn.haxx.se/dev/archive-2008-07/0494.shtml
svn://svn.debian.org/pkg-subversion/trunk/debian/patches/ssh-no-controlmaster
http://svn.debian.org/wsvn/pkg-subversion/trunk/debian/patches/ssh-no-controlmaster?op=file&rev=0&sc=0
------- Comment #1 From 2009-01-15 17:28:24 -------
надеюсь сизиф с прошлого года не сильно имзменился, свежего пока нет. патчи
легли и сборка под сизиф от конца декабря идет успешно, тесты осталось
прогнать.
------- Comment #2 From 2009-01-15 20:58:11 -------
incoming отчитался об успешной сборке 1.5.5-alt2. как дойдет до сизифа, прошу
проверить.
------- Comment #3 From 2009-01-17 14:30:55 -------
Подтверждаю.
------- Comment #4 From 2009-01-17 14:31:13 -------
Спасибо!